# Uses of Interface
org.apache.solr.common.cloud.NodesSysProps

Packages that use NodesSysProps
Package
Description
org.apache.solr.client.solrj.routing
Classes to handle query routing preferences

## Uses of NodesSysProps in org.apache.solr.client.solrj.routing

Methods in org.apache.solr.client.solrj.routing with parameters of type NodesSysProps
Modifier and Type
Method
Description
`ReplicaListTransformer`
RequestReplicaListTransformerGenerator.`getReplicaListTransformer(SolrParams requestParams, String defaultShardPreferences, String nodeName, String baseUrl, String hostName, NodesSysProps sysProps)`
Constructors in org.apache.solr.client.solrj.routing with parameters of type NodesSysProps
Modifier
Constructor
Description
``
`NodePreferenceRulesComparator(List<PreferenceRule> preferenceRules, SolrParams requestParams, String nodeName, String baseUrl, String hostName, NodesSysProps sysProps, ReplicaListTransformerFactory defaultRltFactory, ReplicaListTransformerFactory stableRltFactory)`
``
`RequestReplicaListTransformerGenerator(String defaultShardPreferences, String nodeName, String baseUrl, String hostName, NodesSysProps sysProps)`
``
`RequestReplicaListTransformerGenerator(ReplicaListTransformerFactory defaultRltFactory, ReplicaListTransformerFactory stableRltFactory, String defaultShardPreferences, String nodeName, String baseUrl, String hostName, NodesSysProps sysProps)`